# WatermarkedPeer Class Reference
[Application-wide cache subsystem]

Watermark's all cache activity to avoid namespace collisions. More...

Inheritance diagram for WatermarkedPeer:
[legend]

List of all members.

## Public Member Functions

| __construct (CachePeer $peer, $watermark="Single onPHP's project")
| setWatermark ($watermark)
| getWatermark ()
| getActualWatermark ()
| setClassMap ($map)
| associative array, className -> watermark
| mark ($className)
| increment ($key, $value)
| decrement ($key, $value)
| getList ($indexes)
| get ($key)
| delete ($key)
| clean ()
| isAlive ()
| append ($key, $data)

## Static Public Member Functions

static | create (CachePeer $peer, $watermark="Single onPHP's project")

## Protected Member Functions

| store ($action, $key, $value, $expires=Cache::EXPIRES_MEDIUM)

## Private Attributes

| $peer = null
| $watermark = null
| $map = null
| map class -> watermark

## Detailed Description

Watermark's all cache activity to avoid namespace collisions.

Definition at line 17 of file WatermarkedPeer.class.php.

## Constructor & Destructor Documentation

WatermarkedPeer::__construct | ( | CachePeer $ | peer,
|  | $ | watermark = `"Single onPHP's project"` |
| ) |  |  |

Definition at line 36 of file WatermarkedPeer.class.php.

References $watermark, and setWatermark().

Here is the call graph for this function:

## Member Function Documentation

WatermarkedPeer::append | ( | $ | key,
|  | $ | data |
| ) |  |  |

Reimplemented from CachePeer.

Definition at line 144 of file WatermarkedPeer.class.php.

References getActualWatermark().

Here is the call graph for this function:

WatermarkedPeer::clean | ( |  | ) |

Returns:
  CachePeer

Reimplemented from CachePeer.

Definition at line 132 of file WatermarkedPeer.class.php.

static WatermarkedPeer::create | ( | CachePeer $ | peer,
|  | $ | watermark = `"Single onPHP's project"` |
| ) |  |  | `[static]`

Returns:
  WatermarkedPeer

Definition at line 28 of file WatermarkedPeer.class.php.

References $watermark.

WatermarkedPeer::decrement | ( | $ | key,
|  | $ | value |
| ) |  |  |

Reimplemented from CachePeer.

Definition at line 103 of file WatermarkedPeer.class.php.

References getActualWatermark().

Here is the call graph for this function:

WatermarkedPeer::delete | ( | $ | key | ) |

Reimplemented from CachePeer.

Definition at line 124 of file WatermarkedPeer.class.php.

References getActualWatermark().

Here is the call graph for this function:

WatermarkedPeer::get | ( | $ | key | ) |

Reimplemented from CachePeer.

Definition at line 119 of file WatermarkedPeer.class.php.

References getActualWatermark().

Here is the call graph for this function:

WatermarkedPeer::getActualWatermark | ( |  | ) |

Definition at line 57 of file WatermarkedPeer.class.php.

Referenced by append(), decrement(), delete(), get(), getList(), increment(), mark(), and store().

WatermarkedPeer::getList | ( | $ | indexes | ) |

Reimplemented from CachePeer.

Definition at line 111 of file WatermarkedPeer.class.php.

References getActualWatermark().

Here is the call graph for this function:

WatermarkedPeer::getWatermark | ( |  | ) |

Definition at line 52 of file WatermarkedPeer.class.php.

WatermarkedPeer::increment | ( | $ | key,
|  | $ | value |
| ) |  |  |

Reimplemented from CachePeer.

Definition at line 95 of file WatermarkedPeer.class.php.

References getActualWatermark().

Here is the call graph for this function:

WatermarkedPeer::isAlive | ( |  | ) |

Reimplemented from CachePeer.

Definition at line 139 of file WatermarkedPeer.class.php.

WatermarkedPeer::mark | ( | $ | className | ) |

Returns:
  CachePeer

Reimplemented from SelectivePeer.

Definition at line 86 of file WatermarkedPeer.class.php.

References SelectivePeer::$className, and getActualWatermark().

Here is the call graph for this function:

WatermarkedPeer::setClassMap | ( | $ | map | ) |

associative array, className -> watermark

Returns:
  WatermarkedPeer

Definition at line 73 of file WatermarkedPeer.class.php.

References SelectivePeer::$className, $map, and $watermark.

WatermarkedPeer::setWatermark | ( | $ | watermark | ) |

Definition at line 45 of file WatermarkedPeer.class.php.

References $watermark.

Referenced by __construct().

WatermarkedPeer::store | ( | $ | action,
|  | $ | key,
|  | $ | value,
|  | $ | expires = `Cache::EXPIRES_MEDIUM` |
| ) |  |  | `[protected]`

Reimplemented from CachePeer.

Definition at line 149 of file WatermarkedPeer.class.php.

References getActualWatermark().

Here is the call graph for this function:

## Member Data Documentation

WatermarkedPeer::$map = null`[private]`

map class -> watermark

Definition at line 23 of file WatermarkedPeer.class.php.

Referenced by setClassMap().

WatermarkedPeer::$peer = null`[private]`

Definition at line 19 of file WatermarkedPeer.class.php.

WatermarkedPeer::$watermark = null`[private]`

Definition at line 20 of file WatermarkedPeer.class.php.

Referenced by __construct(), create(), setClassMap(), and setWatermark().

The documentation for this class was generated from the following file:

- core/Cache/WatermarkedPeer.class.php